## analitza 4.8.4

=== analitzagui/CMakeLists.txt ===
project(analitzagui)

add_subdirectory(tests)

find_path(IEEEFP_DIR ieeefp.h)
if(IEEEFP_DIR)
    include_directories(${IEEEFP_DIR})
    add_definitions(-DHAVE_IEEEFP_H)
endif(IEEEFP_DIR)

set(analitzagui_SRCS
	operatorsmodel.cpp
	algebrahighlighter.cpp
	variablesmodel.cpp
	expressionedit.cpp

	function.cpp
	functionutils.cpp
	functionimpl.cpp
	functionfactory.cpp
	functionpolar.cpp
	functioncartesian.cpp
	functionparametric.cpp
	functionimplicit.cpp

	functionsview.cpp
	functionsmodel.cpp
	functionspainter.cpp
	graph2d.cpp
)

kde4_add_library(analitzagui SHARED ${analitzagui_SRCS})
target_link_libraries(analitzagui ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${KDE4_KDECORE_LIBRARY} ${QT_QTSVG_LIBRARY} analitza)

set_target_properties(analitzagui PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION} )

install(TARGETS analitzagui EXPORT AnalitzaTargets ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
	algebrahighlighter.h
	analitzaguiexport.h
	operatorsmodel.h
	variablesmodel.h
	functionfactory.h
	functionsmodel.h
	functionsview.h
	functionspainter.h
	function.h
	expressionedit.h
	graph2d.h

        DESTINATION ${INCLUDE_INSTALL_DIR}/analitzagui/ COMPONENT Devel)

=== analitza/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

include_directories(${analitza_SOURCE_DIR})

set(testLibs ${QT_QTCORE_LIBRARY} ${QT_QTXML_LIBRARY} ${QT_QTTEST_LIBRARY} ${KDE4_KDECORE_LIBS} analitza)

set( analitzatest_SRCS analitzatest.cpp)
kde4_add_unit_test(analitzatest ${analitzatest_SRCS})
target_link_libraries(analitzatest ${testLibs})

set( matchingtest_SRCS matchingtest.cpp ../substituteexpression.cpp ../abstractexpressiontransformer.cpp)
kde4_add_unit_test(matchingtest ${matchingtest_SRCS})
target_link_libraries(matchingtest ${testLibs})

set( expressiontest_SRCS expressiontest.cpp)
kde4_add_unit_test(expressiontest ${expressiontest_SRCS})
target_link_libraries(expressiontest ${testLibs})

set( exptest_SRCS exptest.cpp)
kde4_add_unit_test(exptest ${exptest_SRCS})
target_link_libraries(exptest ${testLibs})

set( mathmlpresentationtest_SRCS mathmlpresentationtest.cpp)
kde4_add_unit_test(mathmlpresentationtest ${mathmlpresentationtest_SRCS})
target_link_libraries(mathmlpresentationtest ${testLibs})

kde4_add_unit_test(typechecktest typechecktest.cpp )
target_link_libraries(typechecktest ${testLibs})

kde4_add_unit_test(builtintest builtintest.cpp )
target_link_libraries(builtintest ${testLibs})

## analitza 4.8.2

=== debian/changelog ===
analitza (4:4.8.2-0ubuntu2) precise-proposed; urgency=low

  * Rebuild for .pot generation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Apr 2012 16:31:57 +0100

analitza (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 30 Mar 2012 21:08:10 +0200

analitza (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 03 Mar 2012 12:51:24 +0100

analitza (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Jan 2012 12:01:28 +0000

analitza (4:4.7.97-0ubuntu1) precise; urgency=low

  [ Jonathan Riddell ]
  * New upstream RC release

  [ Felix Geyer ]
  * Update symbols file.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Jan 2012 13:15:02 +0000

analitza (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate
  * Fix symbol files to match the previous ABI bump

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 23 Dec 2011 22:52:00 +0100

analitza (4:4.7.90-0ubuntu1) precise; urgency=low

  * Initial package
  * Bump ABI version of libanalitza4 and libanalitzagui4, they seem to be
    binary incompatible

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Dec 2011 12:46:41 +0000

=== debian/control ===
Source: analitza
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathhan Riddell <jriddell@ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
 cmake,
 debhelper (>= 7.3.16),
 pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8.1),
 libreadline-dev,
Standards-Version: 3.9.2
Homepage: http://edu.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/analitza
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/analitza

Package: calgebra
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: algebraic calculator
 calgebra is an algebraic calculator for the command line.
 .
 This package is part of the KDE education module.

Package: libanalitza4abi1
X-Debian-ABI: 1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: kalgebra (<< 4:4.7.2), kalgebra-common (<< 4:4.7.3)
Replaces: kalgebra (<< 4:4.7.2), kalgebra-common (<< 4:4.7.3)
Description: library to work with mathematical expressions
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions.
 .
 This package is part of the KDE education module.

Package: libanalitzagui4abi1
X-Debian-ABI: 1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: kalgebra (<< 4:4.7.2), kalgebra-common (<< 4:4.7.3)
Replaces: kalgebra (<< 4:4.7.2), kalgebra-common (<< 4:4.7.3)
Description: library to work with mathematical expressions - GUI routines
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions. This library provides the routines related
 to the graphical user interface.
 .
 This package is part of the KDE education module.

Package: analitza-dev
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}, libanalitzagui4abi1 (= ${binary:Version}),
 libanalitza4abi1 (= ${binary:Version})
Description: algebraic library from KDE, gui components
 libanalitza is an algebraic library with GUI support.
 .
 This package contains the development files.
 .
 This package is part of the KDE education module.

Package: analitza-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends},
 libanalitza4abi1 (= ${binary:Version}), libanalitzagui4abi1 (= ${binary:Version})
Breaks: kdeedu-dbg (<< 4:4.6.80)
Replaces: kdeedu-dbg (<< 4:4.6.80)
Description: debugging symbols for Analitza libraries
 This package contains debugging files used to investigate problems with
 libraries from Analitza.
 .
 This package is part of the KDE education module.

## analitza 4.8.4

=== debian/changelog ===
analitza (4:4.8.4-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release. (LP: #1007798)

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 23 Jun 2012 22:31:33 +0200

analitza (4:4.8.3-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1002336)

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Tue, 01 May 2012 00:18:25 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonathhan Riddell <jriddell@ubuntu.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
  cmake,
  debhelper (>= 7.3.16),
  pkg-kde-tools (>= 0.12),

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_makeshlibs:
	$(overridden_command) -V -- -c0

override_dh_shlibdeps:
	$(overridden_command) $(patsubst %,-p%,$(filter lib%,$(shell dh_listpackages))) -- -xkde-runtime
	$(overridden_command) --remaining-packages

override_dh_strip:
	$(overridden_command) --dbg-package=analitza-dbg

## analitza 4.9.2

=== debian/changelog ===
analitza (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:08:06 +0100

analitza (4:4.9.1-0ubuntu1) quantal; urgency=low

  [ Harald Sitter ]
  * New upstream release

  [ Philip Muškovac ]
  * Change sonames from 4.9.0 to 4.9.* 

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:13:47 +0530

analitza (4:4.9.0-0ubuntu2) quantal; urgency=low

  * Build-dep on kdelibs 4.9.0a, adjust .install files to new library
    version no

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Aug 2012 11:57:46 +0100

analitza (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 16:56:55 +0100

analitza (4:4.8.90-0ubuntu1) quantal; urgency=low

  [ Felix Geyer ]
  * New upstream beta release.

  [ Jonathan Riddell ]
  * Update symbols file

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 21:58:04 +0200

analitza (4:4.8.80-0ubuntu1) quantal; urgency=low

  * New upstream beta release

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Sat, 26 May 2012 14:55:01 +0200

analitza (4:4.8.3-0ubuntu1) quantal; urgency=low

  [ Jonathan Kolberg ]
  * New upstream release

  [ Philip Muškovac ]
  * Update symbol files for gcc 4.7 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 13 May 2012 21:33:38 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonathhan Riddell <jriddell@ubuntu.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
+Build-Depends: 
  cmake,
  debhelper (>= 7.3.16),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.8.1),
+ kdelibs5-dev (>= 4:4.9.2),
  libreadline-dev,
 Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/

## analitza 4.9.4

=== debian/changelog ===
analitza (4:4.9.4-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1085516)
    - add a new symbol to libanalitzagui4abi1.symbols

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 02 Dec 2012 00:42:10 +0100

analitza (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:30:20 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  cmake,
  debhelper (>= 7.3.16),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.2),
+ kdelibs5-dev (>= 4:4.9.4),
  libreadline-dev,
 Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/

## analitza 4.10.0

=== debian/changelog ===
analitza (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:27:18 +0000

analitza (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 14:52:20 +0000

analitza (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:21:22 +0100

analitza (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:12:12 +0000

analitza (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release
  * Remove kubuntu_01_optional_opengl.diff now upstream
  * Update .symbols files
  * Update .install files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:30:38 +0000

analitza (4:4.9.80-0ubuntu5) raring; urgency=low

  * Use wildcards in analitza-dev.install to fix build on arm

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 27 Nov 2012 14:10:39 +0000

analitza (4:4.9.80-0ubuntu4) raring; urgency=low

  * Fix kubuntu_01_optional_opengl.diff for no gl
  * Update .symbols files for no gl on arm
  * Don't build-dep libqt4-opengl-dev on arm

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 27 Nov 2012 12:48:57 +0000

analitza (4:4.9.80-0ubuntu3) raring; urgency=low

  [ Scott Kitterman ]
  * Switch libanalitzagui4abi2 and libanalitzaplot4 back to arch: any
    - Previous change was uploaded in error

  [ Jonathan Riddell ]
  * Add patch kubuntu_01_optional_opengl.diff from upstream
    makes opengl optional which allows for compile on ARM

 -- Scott Kitterman <scott@kitterman.com>  Mon, 26 Nov 2012 11:42:13 -0500

analitza (4:4.9.80-0ubuntu2) raring; urgency=low

  * Correct symbol versioning in debian/libanalitza4abi1.symbols
  * Update debian/libanalitzagui4abi2.symbols

 -- Scott Kitterman <scott@kitterman.com>  Fri, 23 Nov 2012 13:28:52 -0500

analitza (4:4.9.80-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * New upstream beta release
  * New binary libanalitzaplot4
  * Symbol changes, libanalitzagui4 now abi2
  * Add basic_curves.plots to libanalitzaplot4

  [ Rohan Garg ]
  * Switch from libanalitzagui4abi1 to libanalitzagui4abi2 in depends

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 15:40:24 +0000

analitza (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:19:29 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,9 @@
  cmake,
  debhelper (>= 7.3.16),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.4),
+ kdelibs5-dev (>= 4:4.10.0),
  libreadline-dev,
+ libqt4-opengl-dev [!armhf],
 Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/analitza
@@ -35,8 +36,8 @@
  .
  This package is part of the KDE education module.
 
-Package: libanalitzagui4abi1
-X-Debian-ABI: 1
+Package: libanalitzagui4abi2
+X-Debian-ABI: 2
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: kalgebra (<< 4:4.7.2), kalgebra-common (<< 4:4.7.3)
@@ -48,11 +49,21 @@
  .
  This package is part of the KDE education module.
 
+Package: libanalitzaplot4
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: library to work with mathematical expressions - plot routines
+ This library is used by KAlgebra and may be used by other software to parse and
+ work with mathematical expressions. This library provides the routines related
+ to the plotting features.
+ .
+ This package is part of the KDE education module.
+
 Package: analitza-dev
 Architecture: any
 Section: math
-Depends: ${shlibs:Depends}, ${misc:Depends}, libanalitzagui4abi1 (= ${binary:Version}),
- libanalitza4abi1 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libanalitzagui4abi2 (= ${binary:Version}),
+ libanalitza4abi1 (= ${binary:Version}), libanalitzaplot4 (= ${binary:Version})
 Description: algebraic library from KDE, gui components
  libanalitza is an algebraic library with GUI support.
  .
@@ -65,7 +76,7 @@
 Section: debug
 Priority: extra
 Depends: ${misc:Depends},
- libanalitza4abi1 (= ${binary:Version}), libanalitzagui4abi1 (= ${binary:Version})
+ libanalitza4abi1 (= ${binary:Version}), libanalitzagui4abi2 (= ${binary:Version})
 Breaks: kdeedu-dbg (<< 4:4.6.80)
 Replaces: kdeedu-dbg (<< 4:4.6.80)
 Description: debugging symbols for Analitza libraries

## analitza 4.10.2

=== debian/changelog ===
analitza (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:33:05 +0200

analitza (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release
  * Use a wildcard in libanalitzaplot4.install so all 4.10.* library version
    will be accepted

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:09:00 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  cmake,
  debhelper (>= 7.3.16),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.0),
+ kdelibs5-dev (>= 4:4.10.2),
  libreadline-dev,
  libqt4-opengl-dev [!armhf],
 Standards-Version: 3.9.2

## analitza 4.10.4

=== debian/changelog ===
analitza (4:4.10.4-0ubuntu0.1) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1187574)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 20 Jun 2013 04:20:20 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  cmake,
  debhelper (>= 7.3.16),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.2),
+ kdelibs5-dev (>= 4:4.10.4),
  libreadline-dev,
  libqt4-opengl-dev [!armhf],
 Standards-Version: 3.9.2

## analitza 4.11.2

=== debian/changelog ===
analitza (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 13:53:28 +0100

analitza (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:02:16 +0100

analitza (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Aug 2013 23:53:09 +0100

analitza (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release
  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 18:46:17 +0100

analitza (4:4.10.95-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream RC release

  [ Philip Muškovac ]
  * Add new symbols to libanalitza5.symbols

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:31:34 +0000

analitza (4:4.10.90-0ubuntu1) saucy; urgency=low

  [ Michał Zając ]
  * New upstream beta release

  [ Philip Muškovac ]
  * Drop upstream patches:
    - bump_library_version.diff
    - use_correct_soversion.diff

  [ Howard Chan ]
  * Fix symbols file for libanalitza5

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 28 Jun 2013 17:56:08 +0100

analitza (4:4.10.80-0ubuntu2) saucy; urgency=low

  * libanalitzaplot5 breaks/replaces libanalitzaplot4 << 4:4.10.80 because it
    ships a plot example inside

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 22 Jun 2013 14:22:51 +0200

analitza (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Howard Chan ]
  * Updated symbols file for libanalitzaplot4. 
  * Cherry-picked 3c1f0b4ea784eeed754a68e611a1f6f3aa4f9cac as
    bump_library_version.diff to bump ABI version.

  [ Philip Muškovac ]
  * Add upstream commit 2b6299afb588f66cd910bdb20719f8aa7583dbf8 as
    use_correct_soversion.diff to fix the library version handling from
    3c1f0b4ea784eeed754a68e611a1f6f3aa4f9cac

  [ Howard Chan ]
  * Re-built symbols files and fixed packaging files issues for new
    library version.
  * Fixed upstream commit 2b6299afb588f66cd910bdb20719f8aa7583dbf8
    with reversed versions.
  * Created symbols files for libanalitza5. 

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 00:42:33 +0100

analitza (4:4.10.4-0ubuntu1~ubuntu13.10) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream bugfix release

  [ Jonathan Riddell ]
  * Remove abi 0 on libanalitzaplot4 to stop symbols being changed

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Jun 2013 23:31:24 +0100

analitza (4:4.10.3-0ubuntu3) saucy; urgency=low

  * libanalitza-dev breaks/replaces old analitza-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 28 May 2013 10:30:21 +0000

analitza (4:4.10.3-0ubuntu2) saucy; urgency=low

  * Add libanalitza-dev.install.armhf without gl headers

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 May 2013 22:20:32 +0100

analitza (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian, remaining changes:

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 06 May 2013 19:56:09 +0100

analitza (4:4.10.2-1) experimental; urgency=low

  * New upstream release
  * Analitza changed abi, but not soname, so let's fix it. abi2
  * Analitzagui changed abi, but not soname, so let's fix. abi1
    - Now uses opengl
  * Analitsaplot is new library

 -- Sune Vuorela <sune@debian.org>  Fri, 05 Apr 2013 19:42:06 +0000

analitza (4:4.8.4-2) unstable; urgency=low

  * Push to unstable

 -- Sune Vuorela <sune@debian.org>  Thu, 21 Jun 2012 22:08:55 +0200

analitza (4:4.8.4-1) experimental; urgency=low

  * Team upload. Uploading to experimental.
  * New upstream release.
    - Don't link calgebra with curses. (Closes: #648334)

  [ José Manuel Santamaría Lema ]
  * Split analitza out of kalgebra:
    - development package is libanalitza-dev, not kalgebra-dev.
    - add new package libanalitza-dbg, which breaks and replaces kalgebra-dbg.
    - update Vcs-* fields.
    - source package belongs 'libs' Section.
    - add binary package calgebra, which was formerly provided by
      kalgebra-common.
    - drop unused build dependencies: libqt4-opengl-dev, libkdeedu-dev.
  * Confirm symbols files on all architectures with 4.7.4 build logs.
  * Update enable_debianabimanager.diff.
  * Bump build dependencies for KDE SC 4.8.4:
    - kde-sc-dev-latest to 4.8.4.
    - kdelibs5-dev to 4.8.
  * Drop libncurses-dev build depend, no longer needed.
  * Don't pass -DINSTALL_ANALITZA_HEADERS=TRUE to cmake, not needed anymore.
  * Bump libanalitza SONAME due to binary incompatible changes.
  * Update installed files.
  * Update symbols files.
  * Bump Standards-Version to 3.9.3, no changes needed.
  * Add watch file.
  * Update copyright file.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 17 Jun 2012 16:19:42 -0300

kalgebra (4:4.7.4-1) experimental; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.2.
  * Remove patches:
   - add_findanalitza.diff, applied upstream.
   - install_variables_model.diff, applied upstream.
  * Confirm symbols files on more architectures with 4.7.2 build logs.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 18 Dec 2011 00:52:42 +0100

kalgebra (4:4.7.2-1) experimental; urgency=low

  [ José Manuel Santamaría Lema ]
  * Initial release. Start from the Ubuntu packaging, thanks!

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 10:44:03 -0300

=== debian/control ===
Source: analitza
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11.2),
 libreadline-dev,
 pkg-config,
 libqt4-opengl-dev
Standards-Version: 3.9.3
Homepage: http://edu.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/analitza
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/analitza

Package: calgebra
Architecture: any
Section: kde
Breaks: kalgebra-common (<< 4:4.8) 
Replaces: kalgebra-common (<< 4:4.8) 
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: console interface for KAlgebra
 KAlgebra is an algebraic graphing calculator with support for 3D graphing and
 MathML markup language. This package contains the non graphical console
 interface for KAlgebra.
 .
 This package is part of the KDE education module.

Package: libanalitza-dev
Architecture: any
Section: libdevel
Conflicts: kalgebra-dev
Depends: ${misc:Depends}, libanalitza5 (= ${binary:Version}),
 libanalitzagui5 (= ${binary:Version}), libanalitzaplot5 (= ${binary:Version})
Breaks: analitza-dev
Replaces: analitza-dev
Description: development files for analitza
 Analitza is a library to parse and work with mathematical expresssions. This
 library is being used by KAlgebra and Cantor and may be used in other
 programs.
 .
 This package is part of the KDE education module.

Package: libanalitza5
X-Debian-ABI: 0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: kalgebra (<< 4:4.7.2)
Replaces: kalgebra (<< 4:4.7.2)
Description: library to  work with mathematical expressions
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions.
 .
 This package is part of the KDE education module.

Package: libanalitzagui5
X-Debian-ABI: 0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: kalgebra (<< 4:4.7.2)
Replaces: kalgebra (<< 4:4.7.2)
Description: library to  work with mathematical expressions - GUI routines
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions. This library provides the routines related
 to the graphical user interface.
 .
 This package is part of the KDE education module.

Package: libanalitzaplot5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: kalgebra (<< 4:4.7.2), libanalitzaplot4 (<< 4:4.10.80)
Replaces: kalgebra (<< 4:4.7.2), libanalitzaplot4 (<< 4:4.10.80)
Description: library to  work with mathematical expressions - plotting bits
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions. This library provides the routines related
 to the graphical user interface.
 .
 This package is part of the KDE education module.

Package: libanalitza-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends},
 libanalitza5 (= ${binary:Version}), libanalitzagui5 (= ${binary:Version}), libanalitzaplot5 (= ${binary:Version})
Breaks: kdeedu-dbg (<< 4:4.6.80), kalgebra-dbg (<< 4:4.8)
Replaces: kdeedu-dbg (<< 4:4.6.80), kalgebra-dbg (<< 4:4.8)
Description: debugging symbols for the KDE education module
 This package contains debugging files used to investigate problems with
 binaries included in kalgebra.
 .
 This package is part of the KDE education module.

## analitza 4.11.3

=== debian/changelog ===
analitza (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.
  * Update symbols file.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Nov 2013 18:00:40 +0100

analitza (4:4.11.2-1) experimental; urgency=low

  * New upstream release.
  * Bump libanalitza libanalitzaplot and libanalitzagui packages
    soversion.
  * Add symbols files.
  * Add new package analitza-common.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Oct 2013 16:53:19 +0200

analitza (4:4.10.5-2) unstable; urgency=low

  [ Maximiliano Curia ]
  * New patch: analitzaplot-armhf.patch, to fix build problems in armhf.
  * Update copyright file.

  [ Pino Toscano ]
  * Minor symbols update.
  * Slightly change the description of libanalitzaplot4.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 15 Jul 2013 10:45:02 +0200

analitza (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 13:23:06 +0200

analitza (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 10:35:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: analitza
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>
-Build-Depends: kde-sc-dev-latest (>= 4:4.10),
- cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.2),
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sune Vuorela <sune@debian.org>,
+           Maximiliano Curia <maxy@debian.org>
+Build-Depends: kde-sc-dev-latest (>= 4:4.11),
+ cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
+ kdelibs5-dev (>= 4:4.11),
  libreadline-dev,
  pkg-config,
  libqt4-opengl-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/analitza
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/analitza
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/analitza.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/analitza.git
 
 Package: calgebra
 Architecture: any
 Section: kde
-Breaks: kalgebra-common (<< 4:4.8) 
-Replaces: kalgebra-common (<< 4:4.8) 
+Breaks: kalgebra-common (<< 4:4.8)
+Replaces: kalgebra-common (<< 4:4.8)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: console interface for KAlgebra
  KAlgebra is an algebraic graphing calculator with support for 3D graphing and
@@ -34,8 +34,6 @@
 Conflicts: kalgebra-dev
 Depends: ${misc:Depends}, libanalitza5 (= ${binary:Version}),
  libanalitzagui5 (= ${binary:Version}), libanalitzaplot5 (= ${binary:Version})
-Breaks: analitza-dev
-Replaces: analitza-dev
 Description: development files for analitza
  Analitza is a library to parse and work with mathematical expresssions. This
  library is being used by KAlgebra and Cantor and may be used in other
@@ -43,8 +41,19 @@
  .
  This package is part of the KDE education module.
 
+Package: analitza-common
+Architecture: all
+Depends: ${misc:Depends}
+Replaces: libanalitzaplot4
+Conflicts: libanalitzaplot4
+Description: common files for analitza
+ Analitza is a library to parse and work with mathematical expresssions. This
+ library is being used by KAlgebra and Cantor and may be used in other
+ programs.
+ .
+ This package is part of the KDE education module.
+
 Package: libanalitza5
-X-Debian-ABI: 0
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: kalgebra (<< 4:4.7.2)
@@ -56,7 +65,6 @@
  This package is part of the KDE education module.
 
 Package: libanalitzagui5
-X-Debian-ABI: 0
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: kalgebra (<< 4:4.7.2)
@@ -70,13 +78,13 @@
 
 Package: libanalitzaplot5
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: kalgebra (<< 4:4.7.2), libanalitzaplot4 (<< 4:4.10.80)
-Replaces: kalgebra (<< 4:4.7.2), libanalitzaplot4 (<< 4:4.10.80)
+Depends: ${shlibs:Depends}, ${misc:Depends}, analitza-common
+Breaks: kalgebra (<< 4:4.7.2)
+Replaces: kalgebra (<< 4:4.7.2)
 Description: library to  work with mathematical expressions - plotting bits
  This library is used by KAlgebra and may be used by other software to parse and
  work with mathematical expressions. This library provides the routines related
- to the graphical user interface.
+ to plotting.
  .
  This package is part of the KDE education module.

## analitza 4.11.5

=== debian/changelog ===
analitza (4:4.11.5-0ubuntu0.1) saucy; urgency=medium

  * New upstream bugfix release (LP: #1266285)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 16 Jan 2014 14:23:25 +0100

analitza (4:4.11.3-0ubuntu0.1) saucy; urgency=low

  * New upstream bugfix release (LP: #1247235)
  * Add new symbols for libanalitzagui5 

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 29 Nov 2013 15:34:53 +0000

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: analitza
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>,
-           Maximiliano Curia <maxy@debian.org>
-Build-Depends: kde-sc-dev-latest (>= 4:4.11),
- cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sune Vuorela <sune@debian.org>
+Build-Depends: kde-sc-dev-latest (>= 4:4.10),
+ cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
+ kdelibs5-dev (>= 4:4.11.5),
  libreadline-dev,
  pkg-config,
  libqt4-opengl-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.3
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/analitza.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/analitza.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/analitza-13.10
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/analitza-13.10
 
 Package: calgebra
 Architecture: any
 Section: kde
-Breaks: kalgebra-common (<< 4:4.8)
-Replaces: kalgebra-common (<< 4:4.8)
+Breaks: kalgebra-common (<< 4:4.8) 
+Replaces: kalgebra-common (<< 4:4.8) 
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: console interface for KAlgebra
  KAlgebra is an algebraic graphing calculator with support for 3D graphing and
@@ -34,6 +34,8 @@
 Conflicts: kalgebra-dev
 Depends: ${misc:Depends}, libanalitza5 (= ${binary:Version}),
  libanalitzagui5 (= ${binary:Version}), libanalitzaplot5 (= ${binary:Version})
+Breaks: analitza-dev
+Replaces: analitza-dev
 Description: development files for analitza
  Analitza is a library to parse and work with mathematical expresssions. This
  library is being used by KAlgebra and Cantor and may be used in other
@@ -41,19 +43,8 @@
  .
  This package is part of the KDE education module.
 
-Package: analitza-common
-Architecture: all
-Depends: ${misc:Depends}
-Replaces: libanalitzaplot4
-Conflicts: libanalitzaplot4
-Description: common files for analitza
- Analitza is a library to parse and work with mathematical expresssions. This
- library is being used by KAlgebra and Cantor and may be used in other
- programs.
- .
- This package is part of the KDE education module.
-
 Package: libanalitza5
+X-Debian-ABI: 0
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: kalgebra (<< 4:4.7.2)
@@ -65,6 +56,7 @@
  This package is part of the KDE education module.
 
 Package: libanalitzagui5
+X-Debian-ABI: 0
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: kalgebra (<< 4:4.7.2)
@@ -78,13 +70,13 @@
 
 Package: libanalitzaplot5
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, analitza-common
-Breaks: kalgebra (<< 4:4.7.2)
-Replaces: kalgebra (<< 4:4.7.2)
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: kalgebra (<< 4:4.7.2), libanalitzaplot4 (<< 4:4.10.80)
+Replaces: kalgebra (<< 4:4.7.2), libanalitzaplot4 (<< 4:4.10.80)
 Description: library to  work with mathematical expressions - plotting bits
  This library is used by KAlgebra and may be used by other software to parse and
  work with mathematical expressions. This library provides the routines related
- to plotting.
+ to the graphical user interface.
  .
  This package is part of the KDE education module.

## analitza 4.13.0

=== CMakeLists.txt ===
project(analitza)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)
set(CMAKE_MODULE_PATH ${analitza_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})

#Checking whether we can compile calgebra
include(CheckIncludeFiles)
macro_optional_find_package(Readline)
macro_bool_to_01(READLINE_FOUND HAVE_READLINE)
macro_log_feature(READLINE_FOUND "GNU Readline" "Allows KAlgebra to provide a console interface." "http://cnswww.cns.cwru.edu/php/chet/readline/rltop.html" FALSE "" "")

macro_optional_find_package(OpenGL)
macro_bool_to_01(OPENGL_FOUND HAVE_OPENGL)
macro_log_feature(OPENGL_FOUND "OpenGL" "Support for 3D graphs in Analitza" "http://opengl.org" FALSE "" "")

include_directories(.)
add_definitions (-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

set(ANALITZA_LIB_VERSION "5.0.0")
set(ANALITZA_LIB_SOVERSION "5")

add_subdirectory(analitza)
add_subdirectory(analitzaplot)
add_subdirectory(analitzagui)
if(HAVE_READLINE)
	add_subdirectory(calgebra)
endif(HAVE_READLINE)

macro_display_feature_log()

# # # # # # # # # # #  Installation of the CMake config file
if(KDE4_USE_COMMON_CMAKE_PACKAGE_CONFIG_DIR)
    set(_analitza_CONFIG_DEST "${LIB_INSTALL_DIR}/cmake/analitza")
else(KDE4_USE_COMMON_CMAKE_PACKAGE_CONFIG_DIR)
    set(_analitza_CONFIG_DEST "${LIB_INSTALL_DIR}/analitza")
endif(KDE4_USE_COMMON_CMAKE_PACKAGE_CONFIG_DIR)

configure_file( "${CMAKE_CURRENT_SOURCE_DIR}/cmake/AnalitzaConfig.cmake.in" "${CMAKE_CURRENT_BINARY_DIR}/AnalitzaConfig.cmake" @ONLY )
export(TARGETS analitza analitzaplot analitzagui
  FILE "${PROJECT_BINARY_DIR}/AnalitzaTargets.cmake")

install( FILES
        "${CMAKE_CURRENT_BINARY_DIR}/AnalitzaConfig.cmake"
        DESTINATION "${_analitza_CONFIG_DEST}" )
install( EXPORT AnalitzaTargets
         DESTINATION "${_analitza_CONFIG_DEST}"
         NAMESPACE AnalitzaImport__
         FILE AnalitzaTargets.cmake )

=== calgebra/CMakeLists.txt ===
include_directories(${READLINE_INCLUDE_DIR})

set(calgebra_SRCS
	main.cpp
)

kde4_add_executable(calgebra ${calgebra_SRCS})
target_link_libraries(calgebra ${QT_QTCORE_LIBRARY} ${READLINE_LIBRARY} analitza)

install(TARGETS calgebra ${INSTALL_TARGETS_DEFAULT_ARGS})

=== analitzaplot/data/plots/CMakeLists.txt ===
FILE(GLOB datafiles *.plots)
install( FILES ${datafiles} DESTINATION  ${DATA_INSTALL_DIR}/libanalitza/plots )

=== debian/changelog ===
analitza (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 21:31:40 +0100

analitza (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:03:17 +0200

analitza (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 11:50:24 +0100

analitza (4:4.12.90-0ubuntu2) trusty; urgency=medium

  * Add a transitional package for libanalitzaplot5 -> libanalitzaplot5abi1 

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 20 Mar 2014 13:09:49 +0100

analitza (4:4.12.90-0ubuntu1) trusty; urgency=medium

  [ Philip Muškovac ]
  * move shared plot files from libanalitzaplot5 to new analitza-common package
  * drop obsolete kalgebra-common.install file
  * update symbol files and, bump X-Debian-ABI of all libraries to 1 and
    rename packages

  [ Jonathan Riddell ]
  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:29:15 +0000

analitza (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:22:53 +0100

analitza (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Feb 2014 23:31:49 +0000

analitza (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 07:52:30 +0000

analitza (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 16:18:34 +0000

analitza (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 12:24:43 +0000

analitza (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 17:36:20 +0100

analitza (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release
    - Update install files
    - Update symbols

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:23:36 +0100

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Uploaders: Sune Vuorela <sune@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.5),
+ kdelibs5-dev (>= 4:4.13.0),
  libreadline-dev,
  pkg-config,
  libqt4-opengl-dev
 Standards-Version: 3.9.3
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/analitza-13.10
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/analitza-13.10
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/analitza
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/analitza
 
 Package: calgebra
 Architecture: any
@@ -28,12 +28,26 @@
  .
  This package is part of the KDE education module.
 
+Package: analitza-common
+Architecture: all
+Depends: ${misc:Depends}
+Replaces: libanalitzaplot5 (<< 4:4.12.90)
+Conflicts: libanalitzaplot5 (<< 4:4.12.90)
+Description: common files for Analitza
+ Analitza is a library to parse and work with mathematical expressions. This
+ library is being used by KAlgebra and Cantor and may be used in other
+ programs.
+ .
+ This package is part of the KDE education module.
+
 Package: libanalitza-dev
 Architecture: any
 Section: libdevel
 Conflicts: kalgebra-dev
-Depends: ${misc:Depends}, libanalitza5 (= ${binary:Version}),
- libanalitzagui5 (= ${binary:Version}), libanalitzaplot5 (= ${binary:Version})
+Depends: ${misc:Depends},
+ libanalitza5abi1 (= ${binary:Version}),
+ libanalitzagui5abi1 (= ${binary:Version}),
+ libanalitzaplot5abi1 (= ${binary:Version})
 Breaks: analitza-dev
 Replaces: analitza-dev
 Description: development files for analitza
@@ -43,8 +57,8 @@
  .
  This package is part of the KDE education module.
 
-Package: libanalitza5
-X-Debian-ABI: 0
+Package: libanalitza5abi1
+X-Debian-ABI: 1
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: kalgebra (<< 4:4.7.2)
@@ -55,8 +69,8 @@
  .
  This package is part of the KDE education module.
 
-Package: libanalitzagui5
-X-Debian-ABI: 0
+Package: libanalitzagui5abi1
+X-Debian-ABI: 1
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: kalgebra (<< 4:4.7.2)
@@ -68,11 +82,12 @@
  .
  This package is part of the KDE education module.
 
-Package: libanalitzaplot5
+Package: libanalitzaplot5abi1
+X-Debian-ABI: 1
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: kalgebra (<< 4:4.7.2), libanalitzaplot4 (<< 4:4.10.80)
-Replaces: kalgebra (<< 4:4.7.2), libanalitzaplot4 (<< 4:4.10.80)
+Depends: ${shlibs:Depends}, ${misc:Depends}, analitza-common
+Breaks: kalgebra (<< 4:4.7.2)
+Replaces: kalgebra (<< 4:4.7.2)
 Description: library to  work with mathematical expressions - plotting bits
  This library is used by KAlgebra and may be used by other software to parse and
  work with mathematical expressions. This library provides the routines related
@@ -80,12 +95,22 @@
  .
  This package is part of the KDE education module.
 
+Package: libanalitzaplot5
+Architecture: any
+Depends: libanalitzaplot5abi1 (= ${binary:Version})
+Section: oldlibs
+Priority: extra
+Description: transitional package for libanalitzaplot5abi1
+ Transitional package for libanalitzaplot5
+ .
+ This package can safely be removed after installation.
+
 Package: libanalitza-dbg
 Architecture: any
 Section: debug
 Priority: extra
 Depends: ${misc:Depends},
- libanalitza5 (= ${binary:Version}), libanalitzagui5 (= ${binary:Version}), libanalitzaplot5 (= ${binary:Version})
+ libanalitza5abi1 (= ${binary:Version}), libanalitzagui5abi1 (= ${binary:Version}), libanalitzaplot5abi1 (= ${binary:Version})
 Breaks: kdeedu-dbg (<< 4:4.6.80), kalgebra-dbg (<< 4:4.8)
 Replaces: kdeedu-dbg (<< 4:4.6.80), kalgebra-dbg (<< 4:4.8)
 Description: debugging symbols for the KDE education module

=== debian/rules ===
--- 
+++ 
@@ -12,4 +12,4 @@
 	$(overridden_command) --remaining-packages
 
 override_dh_strip:
-	$(overridden_command) --dbg-package=analitza-dbg
+	$(overridden_command) --dbg-package=libanalitza-dbg

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/analitza-([\d\.]*).tar.xz
